> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payout

> Send money to accounts or via imps , rtgs or upi transfer

This API is used to initiate a payout to accounts via IMPS, RTGS, or UPI transfer.

### Request Body

```json theme={null}
{
  "pg": "string", // Payment gateway (e.g., 'decentro')
  "method": "string", // Transfer method (e.g., 'upi', 'imps')
  "account_number": "string", // Account number to be debited
  "beneficiary_id": "string", // Beneficiary ID
  "pg_pool_id": "string", // Paytring pool ID
  "receipt_id": "string", // Receipt ID
  "amount": "string", // Amount to transfer
  "notes": "object" // Additional notes
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "payment_status": "success",
  "message": "Amount transferred successfully",
  "transfer_id": "XXXXXXXXXXXXX"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Hash not verified.",
    "code": 158
  }
}
```


## OpenAPI

````yaml POST /api/v2/payout/create
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/payout/create:
    post:
      summary: Create Payout
      description: Send money to accounts or via imps , rtgs or upi transfer
      operationId: create-payout
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - pg
                - method
                - account_number
                - beneficiary_id
                - receipt_id
                - amount
                - pg_pool_id
              properties:
                pg:
                  type: string
                  description: eg. decentro
                method:
                  type: string
                  description: eg. upi or imps
                account_number:
                  type: string
                  description: account no of to be debited from
                beneficiary_id:
                  type: string
                  description: beneficiary id to be added
                receipt_id:
                  type: string
                amount:
                  type: string
                  description: Amount will always be in paisa/cents.
                pg_pool_id:
                  type: string
                  description: Payment Gateway pool id
                notes:
                  type: object
                  properties:
                    udf1:
                      type: string
                      description: max length 255, no special chars
                    udf2:
                      type: string
                      description: max length 255, no special chars
                    udf3:
                      type: string
                      description: max length 255, no special chars
                    udf4:
                      type: string
                      description: max length 255, no special chars
                    udf5:
                      type: string
                      description: max length 255, no special chars
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": true,
                        "payment_status": "success",
                        "message": "Amount transfered successfully",
                        "transfer_id": "XXXXXXXXXXXXX"
                    }
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                    default: true
                  payment_status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Amount transfered successfully
                  transfer_id:
                    type: string
                    example: XXXXXXXXXXXXX
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": false,
                        "error": {
                            "message": "Hash not verified.",
                            "code": 158
                        }
                    }
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Hash not verified.
                      code:
                        type: integer
                        example: 158
                        default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````